> ## Documentation Index
> Fetch the complete documentation index at: https://docs.llmgenerator.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 빠른 시작 가이드

> 몇 분 안에 LLMGenerator API를 사용해보세요. 단 한 번의 API 호출로 첫 번째 llms.txt 파일을 생성합니다.

이 가이드는 LLMGenerator API를 시작하기 위한 기본 단계를 안내합니다. 완료하면 첫 번째 `llms.txt` 파일을 생성할 수 있습니다.

## 1. 계정 만들기 및 API 키 발급

API를 사용하기 전에 LLMGenerator 계정을 만들고 API 키를 발급받아야 합니다.

1. **가입**: LLMGenerator 대시보드에서 [계정을 만드세요](https://llmgenerator.com/sign-up).
2. **API 설정으로 이동**: 로그인 후 계정 설정의 "API 키" 섹션으로 이동하세요.
3. **키 생성**: 새 API 키를 생성하세요. 복사하여 안전한 곳에 저장하세요 — 다시 볼 수 없습니다.

API 키의 형식은 다음과 같습니다: `llmgen_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx`

## 2. 첫 번째 API 요청 보내기

이제 API 키를 사용하여 LLMGenerator API에 요청을 보낼 수 있습니다. `llms.txt` 파일을 생성하는 주요 엔드포인트는 `/api/v1/generate`입니다.

API 키를 Bearer 토큰으로 `Authorization` 헤더에 포함하여 `POST` 요청을 보내세요.

<CodeGroup>
  ```bash cURL theme={null}
  curl -X POST https://api.llmgenerator.com/api/v1/generate \
    -H "Authorization: Bearer 당신의API키" \
    -H "Content-Type: application/json" \
    -d '{
      "url": "https://www.example.com",
      "options": {
        "maxUrls": 10,
        "showFullText": true,
        "generationMethod": "simple"
      }
    }'
  ```

  ```javascript Node.js theme={null}
  const apiKey = '당신의API키';
  const url = 'https://api.llmgenerator.com/api/v1/generate';

  const response = await fetch(url, {
    method: 'POST',
    headers: {
      'Authorization': `Bearer ${apiKey}`,
      'Content-Type': 'application/json'
    },
    body: JSON.stringify({
      url: 'https://www.example.com',
      options: {
        maxUrls: 10,
        showFullText: true,
        generationMethod: 'simple' // 또는 'enhanced' (2배 크레딧 소모)
      }
    })
  });

  const data = await response.json();
  console.log(data);
  ```

  ```python Python theme={null}
  import requests

  api_key = "당신의API키"
  api_url = "https://api.llmgenerator.com/api/v1/generate"

  headers = {
      "Authorization": f"Bearer {api_key}",
      "Content-Type": "application/json"
  }

  payload = {
      "url": "https://www.example.com",
      "options": {
          "maxUrls": 10,
          "showFullText": True,
          "generationMethod": "simple"  # 또는 "enhanced" (2배 크레딧 소모)
      }
  }

  response = requests.post(api_url, headers=headers, json=payload)
  print(response.json())
  ```
</CodeGroup>

<Info>
  `당신의API키`를 1단계에서 발급받은 실제 API 키로 교체하세요.
</Info>

## 3. 응답 확인

요청이 성공하면 사이트 세부 정보와 파일 URL이 포함된 JSON 응답을 받습니다:

```json theme={null}
{
  "success": true,
  "message": "llms.txt 파일이 성공적으로 생성되었습니다",
  "site": {
    "id": "550e8400-e29b-41d4-a716-446655440000",
    "url": "https://example.com",
    "status": "completed"
  },
  "fileUrl": "https://api.llmgenerator.com/api/v1/file/550e8400-e29b-41d4-a716-446655440000",
  "fullTextUrl": "https://api.llmgenerator.com/api/v1/file/550e8400-e29b-41d4-a716-446655440000?full=true",
  "creditsUsed": 10,
  "creditsRemaining": 490
}
```

## 4. 파일 접근하기

생성된 파일은 여러 방법으로 접근할 수 있습니다:

```bash theme={null}
# 브라우저에서 보기
curl https://api.llmgenerator.com/api/v1/file/당신의사이트ID

# 파일로 다운로드
curl https://api.llmgenerator.com/api/v1/file/당신의사이트ID/download -o llms.txt

# 전체 텍스트 버전 가져오기
curl "https://api.llmgenerator.com/api/v1/file/당신의사이트ID?full=true"
```

## 다음 단계

첫 번째 `llms.txt` 파일을 성공적으로 생성했습니다! 다음으로 할 수 있는 것들:

* [API 레퍼런스](/ko/api-reference/introduction)에서 사용 가능한 모든 엔드포인트와 옵션을 확인하세요.
* [URL 검색](/ko/api-reference/discovery/start)을 사용하여 생성 전에 URL을 찾는 방법을 알아보세요.
* [크레딧 잔액](/ko/api-reference/credits/balance)과 [거래 내역](/ko/api-reference/credits/history)을 확인하세요.
* [MCP 서버](/ko/integrations/mcp)를 사용하여 Claude, Cursor 등 AI 에이전트와 연동하세요.
* [LLMGenerator 대시보드](https://app.llmgenerator.com)에서 사이트를 관리하고 분석을 확인하세요.
